/***********************************************************************
 resetdb.cpp - (Re)initializes the example database, mysql_cpp_data.
 	You must run this at least once before running most of the other
	examples, and it is helpful sometimes to run it again, as some of
	the examples modify the table in this database.

 Copyright (c) 1998 by Kevin Atkinson, (c) 1999, 2000 and 2001 by
 MySQL AB, and (c) 2004, 2005 by Educational Technology Resources, Inc.
 Others may also hold copyrights on code in this file.  See the CREDITS
 file in the top directory of the distribution for details.

 This file is part of MySQL++.

 MySQL++ is free software; you can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published
 by the Free Software Foundation; either version 2.1 of the License, or
 (at your option) any later version.

 MySQL++ is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with MySQL++; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
 USA
***********************************************************************/

//#include "util.h"

#include <mysql++.h>

#include <iostream>

using namespace std;

int main()
{
	// Connect to database server
	mysqlpp::Connection con;
	try {
		cout << "Connecting to database server..." << endl;
		con.connect("football","192.168.4.1","root","e89120d9dfeb");
		
		//connect_to_db(argc, argv, con, "");
	}
	catch (exception& er) {
		cerr << "Connection failed: " << er.what() << endl;
		return 1;
	}
	cout<< "Success";
	mysqlpp::Query query = con.query();
	query << "select * from football_weeks";
	mysqlpp::Result res = query.store();

	// Display the result set
	cout << "We have:" << endl;
	if (res) {
		char buf[100];
		mysqlpp::Row row;
		mysqlpp::Row::size_type i;
		cout<<res.num_rows()<<endl<<endl;
		for(int k=0;k<res.num_fields()-4;k++)
			cout<<res.field_name(k)<<'\t';
		cout<<endl;
		for (i = 0;  i<res.num_rows(); ++i) 
		{
			row = res.at(i);
			for(int j=0;j<res.num_fields()-4;j++)
				cout <<row.at(j)<<'\t';
			cout<<endl;
		}
	}
	else {
		cerr << "Failed to get item list: " << query.error() << endl;
		return 1;
	}

	return 0;
}
